# DataExchange
TKXSBase
Interface

# Interface_HSequenceOfCheck Class Reference

`#include <Interface_HSequenceOfCheck.hxx>`

## Public Member Functions

| Interface_HSequenceOfCheck ()
Standard_Boolean | IsEmpty () const
Standard_Integer | Length () const
Standard_EXPORT void | Clear ()
Standard_EXPORT void | Append (const Handle(Interface_Check)&anItem)
Standard_EXPORT void | Append (const Handle(Interface_HSequenceOfCheck)&aSequence)
Standard_EXPORT void | Prepend (const Handle(Interface_Check)&anItem)
Standard_EXPORT void | Prepend (const Handle(Interface_HSequenceOfCheck)&aSequence)
Standard_EXPORT void | Reverse ()
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(Interface_Check)&anItem)
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(Interface_HSequenceOfCheck)&aSequence)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(Interface_Check)&anItem)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(Interface_HSequenceOfCheck)&aSequence)
Standard_EXPORT void | Exchange (const Standard_Integer anIndex, const Standard_Integer anOtherIndex)
Standard_EXPORT Handle_Interface_HSequenceOfCheck | Split (const Standard_Integer anIndex)
Standard_EXPORT void | SetValue (const Standard_Integer anIndex, const Handle(Interface_Check)&anItem)
Standard_EXPORT const Handle_Interface_Check & | Value (const Standard_Integer anIndex) const
Standard_EXPORT Handle_Interface_Check & | ChangeValue (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer fromIndex, const Standard_Integer toIndex)
const Interface_SequenceOfCheck & | Sequence () const
Interface_SequenceOfCheck & | ChangeSequence ()
Standard_EXPORT Handle_Interface_HSequenceOfCheck | ShallowCopy () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Interface_SequenceOfCheck | mySequence

## Constructor & Destructor Documentation

Interface_HSequenceOfCheck::Interface_HSequenceOfCheck | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void Interface_HSequenceOfCheck::Append | ( | const Handle(Interface_HSequenceOfCheck)& | aSequence | ) |

Standard_EXPORT void Interface_HSequenceOfCheck::Append | ( | const Handle(Interface_Check)& | anItem | ) |

Interface_SequenceOfCheck& Interface_HSequenceOfCheck::ChangeSequence | ( |  | ) |

Standard_EXPORT Handle_Interface_Check& Interface_HSequenceOfCheck::ChangeValue | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void Interface_HSequenceOfCheck::Clear | ( |  | ) |

Standard_EXPORT void Interface_HSequenceOfCheck::Exchange | ( | const Standard_Integer | anIndex,
|  | const Standard_Integer | anOtherIndex
| ) |

Standard_EXPORT const Interface_HSequenceOfCheck::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void Interface_HSequenceOfCheck::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(Interface_HSequenceOfCheck)& | aSequence
| ) |

Standard_EXPORT void Interface_HSequenceOfCheck::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(Interface_Check)& | anItem
| ) |

Standard_EXPORT void Interface_HSequenceOfCheck::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(Interface_HSequenceOfCheck)& | aSequence
| ) |

Standard_EXPORT void Interface_HSequenceOfCheck::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(Interface_Check)& | anItem
| ) |

Standard_Boolean Interface_HSequenceOfCheck::IsEmpty | ( |  | ) | const

Standard_Integer Interface_HSequenceOfCheck::Length | ( |  | ) | const

Standard_EXPORT void Interface_HSequenceOfCheck::Prepend | ( | const Handle(Interface_HSequenceOfCheck)& | aSequence | ) |

Standard_EXPORT void Interface_HSequenceOfCheck::Prepend | ( | const Handle(Interface_Check)& | anItem | ) |

Standard_EXPORT void Interface_HSequenceOfCheck::Remove | ( | const Standard_Integer | fromIndex,
|  | const Standard_Integer | toIndex
| ) |

Standard_EXPORT void Interface_HSequenceOfCheck::Remove | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void Interface_HSequenceOfCheck::Reverse | ( |  | ) |

const Interface_SequenceOfCheck& Interface_HSequenceOfCheck::Sequence | ( |  | ) | const

Standard_EXPORT void Interface_HSequenceOfCheck::SetValue | ( | const Standard_Integer | anIndex,
|  | const Handle(Interface_Check)& | anItem
| ) |

Standard_EXPORT Handle_Interface_HSequenceOfCheck Interface_HSequenceOfCheck::ShallowCopy | ( |  | ) | const

Standard_EXPORT Handle_Interface_HSequenceOfCheck Interface_HSequenceOfCheck::Split | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT const Handle_Interface_Check& Interface_HSequenceOfCheck::Value | ( | const Standard_Integer | anIndex | ) | const

## Field Documentation

Interface_SequenceOfCheck Interface_HSequenceOfCheck::mySequence `[private]`

The documentation for this class was generated from the following file:

- Interface_HSequenceOfCheck.hxx